# bdm::mepdf Class Reference

Unconditional mpdf, allows using epdf in the role of mpdf. More...

## Detailed Description

Unconditional mpdf, allows using epdf in the role of mpdf.

`#include <bdmbase.h>`

List of all members.

## Public Member Functions
| mepdf ()
| Default constructor.
| mepdf (shared_ptr< epdf > em)
| Set internal shared pointer.
vec | samplecond (const vec &cond)
| empty
double | evallogcond (const vec &val, const vec &cond)
| Shortcut for conditioning and evaluation of the internal epdf. In some cases, this operation can be implemented efficiently.
void | from_setting (const Setting &set)
virtual string | to_string ()
| This method returns a basic info about the current instance.
virtual void | to_setting (Setting &set) const
| This method save all the instance properties into the Setting structure.
virtual void | validate ()
| This method TODO.
Matematical operations
virtual mat | samplecond_m (const vec &cond, int N)
| Returns.
virtual vec | evallogcond_m (const mat &Dt, const vec &cond)
| Matrix version of evallogcond.
virtual vec | evallogcond_m (const Array< vec > &Dt, const vec &cond)
| Array<vec> version of evallogcond.
Access to attributes
const RV & | _rv () const
const RV & | _rvc () const
int | dimension () const
int | dimensionc ()
Connection to other objects
void | set_rvc (const RV &rvc0)
void | set_rv (const RV &rv0)
bool | isnamed ()
## Protected Member Functions
void | set_ep (epdf &iepdf)
| set internal pointer `ep` to point to given `iepdf`
void | set_ep (epdf *iepdfp)
| set internal pointer `ep` to point to given `iepdf`
## Protected Attributes
int | dimc
| dimension of the condition
RV | rvc
| random variable in condition

## Member Function Documentation

void bdm::mepdf::from_setting | ( | const Setting & | set | ) | `[virtual]`

Load from structure with elements:

     { class = "mepdf",
       epdf = {class="epdf_offspring",...}
     }

Reimplemented from bdm::mpdf.

References bdm::shared_ptr< T >::get(), and bdm::mpdf::set_ep().

mat bdm::mpdf::samplecond_m | ( | const vec & | cond,
|  | int | N |
| ) |  |  | `[virtual, inherited]`

Returns.

Parameters:

  | N | samples from the density conditioned on `cond`, .
  | cond | is numeric value of `rv`

Reimplemented in bdm::mpdf_internal< EPDF >, bdm::mpdf_internal< eDirich >, bdm::mpdf_internal< enorm< sq_T > >, bdm::mpdf_internal< elognorm >, bdm::mpdf_internal< TEpdf< sq_T > >, bdm::mpdf_internal< egamma >, bdm::mpdf_internal< enorm< ldmat > >, bdm::mpdf_internal< eiWishartCh >, and bdm::mpdf_internal< eigamma >.

References bdm::mpdf::samplecond().

The documentation for this class was generated from the following files:

- bdmbase.h
- bdmbase.cpp